package com.rjconsultores.ventaboletos.vo.embarcada;

import java.util.ArrayList;
import java.util.List;

public class EmpresaVO {
	private Long empresaId;
	private String nombempresa;
	private String cnpj;
	private Boolean indImprimeRelFechamentoViagemDetalhadoEmarcada;
	private Boolean indImprimeLogoBilheteVendaEmbarcada;
	private Boolean indImpressaoCanhotoEmbarcada;
	private Boolean indSegundaViaFechamentoCaixa;

	private List<InscricaoEstadualVO> inscricoesEstaduais = new ArrayList<InscricaoEstadualVO>();

	public Long getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Long empresaId) {
		this.empresaId = empresaId;
	}

	public String getNombempresa() {
		return nombempresa;
	}

	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}

	public List<InscricaoEstadualVO> getInscricoesEstaduais() {
		return inscricoesEstaduais;
	}

	public void setInscricoesEstaduais(List<InscricaoEstadualVO> inscricoesEstaduais) {
		this.inscricoesEstaduais = inscricoesEstaduais;
	}

	public String getCnpj() {
		return cnpj;
	}

	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}

	public Boolean getIndImprimeRelFechamentoViagemDetalhadoEmarcada() {
		return indImprimeRelFechamentoViagemDetalhadoEmarcada;
	}

	public void setIndImprimeRelFechamentoViagemDetalhadoEmarcada(Boolean indImprimeRelFechamentoViagemDetalhadoEmarcada) {
		this.indImprimeRelFechamentoViagemDetalhadoEmarcada = indImprimeRelFechamentoViagemDetalhadoEmarcada;
	}

	public Boolean getIndImprimeLogoBilheteVendaEmbarcada() {
		return indImprimeLogoBilheteVendaEmbarcada;
	}

	public void setIndImprimeLogoBilheteVendaEmbarcada(Boolean indImprimeLogoBilheteVendaEmbarcada) {
		this.indImprimeLogoBilheteVendaEmbarcada = indImprimeLogoBilheteVendaEmbarcada;
	}

	public Boolean getIndImpressaoCanhotoEmbarcada() {
		return indImpressaoCanhotoEmbarcada;
	}

	public void setIndImpressaoCanhotoEmbarcada(Boolean indImpressaoCanhotoEmbarcada) {
		this.indImpressaoCanhotoEmbarcada = indImpressaoCanhotoEmbarcada;
	}
	
	public Boolean getIndSegundaViaFechamentoCaixa() {
		return indSegundaViaFechamentoCaixa ==null ? Boolean.FALSE : indSegundaViaFechamentoCaixa;
	}

	public void setIndSegundaViaFechamentoCaixa(Boolean indSegundaViaFechamentoCaixa) {
		this.indSegundaViaFechamentoCaixa = indSegundaViaFechamentoCaixa;
	}

	
}
